## 启动http服务
npm start

## webpack devServer启动
npx webpack serve

## 目录说明
* 01：无
* 02：webpack初体验
* 03：打包样式资源
* 04：打包html文件
* 05：打包图片资源
* 06：打包其他资源
* 07：devServer
* 08：开发环境搭建
* 09：提取css
* 10：css兼容性处理  -- postcss-loader postcss-preset-env
* 11：压缩css
* 12：eslint语法检查
* 13：eslint兼容性处理
* 14：js压缩
* 15：html压缩
* 16：生产环境基本配置
* 17：优化配置
* 18：HMR:hot module replacement 热模块替换
* 19：source map 一种提供源代码到构建映射技术
* 20: oneOf 只会匹配一个loader 提高效率
* 21: 缓存
* 22：tree shaking: 去除无用代码
* 23: code split 代码分割
* 24: 懒加载和预加载
* 25：PWA 可离线访问 -- 缓存

## 关于
用于学习webpack配置，包括css、less、图片资源、其他资源、开发环境等配置。
